windows使用convert_torch转换模型

前言

想要使用
https://github.com/clcarwin/convert_torch_to_pytorch
但是必须要pytorch0.4.1的环境
打算创一个虚拟环境

虚拟环境相关命令

1、创建python虚拟环境。
使用 conda create -n your_env_name python=X.X(3.6等)命令创建python版本为X.X、名字为your_env_name的虚拟环境。your_env_name文件可以在Anaconda安装目录envs文件下找到。
2、激活环境
Linux: source activate your_env_name(虚拟环境名称)
Windows: activate your_env_name(虚拟环境名称)
3、关闭虚拟环境(即从当前环境退出返回使用PATH环境中的默认python版本)。

使用如下命令即可。

Linux: source deactivate

Windows: deactivate

4、删除虚拟环境。

使用命令conda remove -n your_env_name(虚拟环境名称) --all, 即可删除。

5、删除环境中的某个包。

使用命令conda remove --name your_env_name package_name 即可。

参考:https://blog.csdn.net/lyy14011305/article/details/59500819

安装pytorch 0.4.1

https://pytorch.org/get-started/previous-versions/
找安装方法去官网是最好的

方法一:

conda install pytorch=0.4.1 cuda90 -c pytorch

失败,cuda90的环境倒是安装成功,但是pytorch没有安装成功,应该是网络的问题,但是我本来就挂了梯子。。。

方法二:

在这里插入图片描述
在官网上下载whl文件后在本地安装。
下载好合适的whl文件后,切换到whl文件所在的文件夹,输入:

pip install xxx(文件名)

就安装成功了

遭遇问题

1、ERROR: torch-0.4.1-cp37-cp37m-win_amd64.whl is not a supported wheel on this platform.

解决:我的版本不对应,37是指python3.7版本,而我的虚拟环境是3.6版本

2、在import torch时遇到ImportError: numpy.core.multiarray failed to import

解决:降低numpy版本

pip install -U numpy==1.12.0

运行convert_torch.py

遭遇问题:

1、RuntimeError: cuda runtime error (30) : unknown error at …\aten\src\THC\THCGeneral.cpp:119

解决:在文件最前端加

torch.cuda.current_device()

参考
https://github.com/pytorch/pytorch/issues/17108

2、torch.utils.serialization.read_lua_file.T7ReaderException: unknown type id 1008669213. The file may be corrupted.

解决:把文件中的

model = load_lua(t7_filename,unknown_classes=True) 
改为
model = load_lua(t7_filename,unknown_classes=True,long_size=8)

参考
https://github.com/bobbens/sketch_simplification/issues/2

发布了12 篇原创文章 · 获赞 0 · 访问量 339
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 深蓝海洋 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览